GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Member Functions | Private Member Functions | Static Private Member Functions | Private Attributes | List of all members
GpgFrontend::UI::KeyImportDetailDialog Class Reference
Inheritance diagram for GpgFrontend::UI::KeyImportDetailDialog:
Collaboration diagram for GpgFrontend::UI::KeyImportDetailDialog:

## Public Member Functions
| KeyImportDetailDialog (GpgImportInformation result, bool automatic, QWidget *parent=nullptr)
| Construct a new Key Import Detail Dialog object. More...
Public Member Functions inherited from GpgFrontend::UI::GeneralDialog
| GeneralDialog (std::string name, QWidget *parent=nullptr)

## Private Member Functions
void | create_general_info_box ()
| Create a general info box object.
void | create_keys_table ()
| Create a keys table object.
void | create_button_box ()
| Create a button box object.

## Static Private Member Functions
static QString | get_status_string (int keyStatus)
| Get the status string object. More...

## Private Attributes
QTableWidget * | keys_table_ {}
QGroupBox * | general_info_box_ {}
QGroupBox * | key_info_box_ {}
QDialogButtonBox * | button_box_ {}
GpgImportInformation | m_result_

## Additional Inherited Members
Protected Member Functions inherited from GpgFrontend::UI::GeneralDialog
void | setPosCenterOfScreen ()
void | movePosition2CenterOfParent ()

## Constructor & Destructor Documentation

## ◆ KeyImportDetailDialog()

GpgFrontend::UI::KeyImportDetailDialog::KeyImportDetailDialog | ( | GpgImportInformation | result,
|  | bool | automatic,
|  | QWidget * | parent = `nullptr`
| ) |  |

Construct a new Key Import Detail Dialog object.

Parameters

  result |
  automatic |
  parent |

References create_button_box(), create_general_info_box(), and create_keys_table().

## Member Function Documentation

## ◆ get_status_string()

QString GpgFrontend::UI::KeyImportDetailDialog::get_status_string | ( | int | keyStatus | ) |
| static private

Get the status string object.

Parameters

  keyStatus |

Returns
  QString

Referenced by create_keys_table().

The documentation for this class was generated from the following files:

- src/ui/dialog/import_export/KeyImportDetailDialog.h
- src/ui/dialog/import_export/KeyImportDetailDialog.cpp